Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class DoubleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.DoubleKeyHashMap

    public class DoubleKeyHashMap
    extends ComplexKeyHashMap

Nested Class Summary
`static class` | `DoubleKeyHashMap.Entry`

Field Summary

Fields inherited from class ComplexKeyHashMap
DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold

Method Summary
`boolean` | `checkEquals(def e, Object key1, Object key2)`
`DoubleKeyHashMap.Entry` | `createEntry()`
`Object` | `get(Object key1, Object key2)`
`DoubleKeyHashMap.Entry` | `getOrPut(Object key1, Object key2)`
`def` | `remove(Object key1, Object key2)`

Methods inherited from class ComplexKeyHashMap
ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### checkEquals

    public boolean checkEquals(def e, Object key1, Object key2)

### createEntry

    public DoubleKeyHashMap.Entry createEntry()

### get

    public final Object get(Object key1, Object key2)

### getOrPut

    public DoubleKeyHashMap.Entry getOrPut(Object key1, Object key2)

### remove

    public final def remove(Object key1, Object key2)

Copyright © 2003-2010 The Codehaus. All rights reserved.